=== debian/changelog ===
qtbase-opensource-src-gles (5.15.2+dfsg-4) unstable; urgency=medium

  * Make libqt5gui5-gles and qtbase5-gles-dev break qt5-default (closes:
    #976389, LP: #1920130).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 14 May 2021 21:35:45 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-3) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-3 upload.
  * Remove libxcb-glx0-dev build-dependency, not needed for -gles variant.
    Thanks to Helmut Grohne for noticing it!

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jan 2021 20:24:23 +0300

qtbase-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix memory leak in QNetworkAccessManager
    from QMetaObjectPrivate::connect.
  * Backport upstream changes to add #include <limits> for GCC 11.
  * Update debian/watch: use format 4, and track only 5.15.x releases.
  * Update debian/libqt5core5a.symbols for hurd-i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jan 2021 20:17:11 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:56:07 +0300

qtbase-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch xcb_screens_uaf.patch in order to fix
    use-after-free in the xcb plugin.

  [ Dmitry Shachnev ]
  * Build with libxcb-util-dev 0.4.0 which Debian now has.
    - Drop loosen_xcb-util_requirement.diff, no longer needed.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build the experimental XCB native painting engine. This has been disabled
    as a default by upstream, but our X2Go users do really benefit from it if
    they export QT_XCB_NATIVE_PAINTING (Closes: #976274).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:30 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Nov 2020 13:56:07 +0300

qtbase-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop two patches that are included in the new release:
    - emit_geometry_changed.diff
    - clone_sigchld.diff
  * Bump ABI version to qtbase-abi-5-15-2.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Add a patch to loosen xcb-util requirement from 0.3.9 to 0.3.8
    (see #975259).
  * Build-depend on libxcb-util0-dev.
  * Update debian/qtbase5-private-dev.install for the new release.
  * Update symbols files for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Nov 2020 16:08:35 +0300

qtbase-opensource-src (5.15.1+dfsg-4) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch xcb_screens_uaf.patch in order to fix
    use-after-free in the xcb plugin.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 23 Nov 2020 15:16:00 -0300

qtbase-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Remove debian/source/lintian-overrides. The remaining override
    is not needed since we removed qt5-default package.
  * Update debian/libqt5core5a.symbols for hppa.
  * Backport upstream patch to fix issues with debugging applications
    that use QProcess (closes: #974602).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Nov 2020 21:39:27 +0300

qtbase-opensource-src-gles (5.15.1+dfsg-2) unstable; urgency=medium

  * Set Build-Depends-Package field to qtbase5-gles-dev.
  * Merge qtbase-opensource-src 5.15.1+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Oct 2020 13:13:19 +0300

qtbase-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix multiscreen-related regression that
    affects Plasma.
  * Update debian/libqt5core5a.symbols from buildds’ logs.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Apply cross_build_mysql.diff to get closer to cross building on a Debian
    environment. Thanks Helmut Grohne for the patch! (Closes: #971604).
  * Remove qt5-default. Nowadays it's not needed as Qt 5 is the only Qt version
    in Debian and it brought more problems than solutions.

  [ Helmut Grohne ]
  * qmake cross wrapper: Allow passing -qt5. (Closes: #972640)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:04 +0300

qtbase-opensource-src-gles (5.15.1+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.1+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.1.
  * Call dh_missing with --list-missing, we do not install all files.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 15:18:59 +0300

qtbase-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches that have been included in the new release:
    - CVE-2015-9541.diff
    - CVE-2020-17507.diff
    - CVE-2020-13962.diff
    - enable_a11y_on_linux.diff
    - fix_qlibrary_deadlock.diff
    - moc_handle_includes.diff
    - no_isystem.diff
    - clarify_pic_message.diff
  * Refresh other patches.
  * Update symbols files from buildds’ logs.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
    - Stop using dh-exec for .links files, as debhelper now supports
      substitutions natively.
  * Bump qttools build-dependencies to 5.15.
  * Bump ABI version to qtbase-abi-5-15-1.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Manually update non-generated part of debian/copyright.
  * Update install files for the new release.
  * Update symbols files from the current build log.


