=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtbase-everywhere-src-(.*)\.tar\.xz
