## qtbase-opensource-src-gles 5.15.3+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.3+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.3+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 12 Mar 2022 21:12:05 +0300

qtbase-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new file names.
  * Drop patches that are included in the new release:
    - xcb_screens_uaf.patch
    - qnam_connect_memory_leak.diff
    - qiodevice_readline_memory.diff
  * Remove most of gcc_11_limits.diff, only one change left.
  * Refresh other patches.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-3.
  * Update symbols files from the current build logs.
  * Exclude one more RFC file from the tarball.
  * Stop adding -Wl,--as-needed explicitly.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Mar 2022 21:00:06 +0300

qtbase-opensource-src (5.15.2+dfsg-15) unstable; urgency=medium

  * Backport upstream changes to improve support for OpenSSL 3.0.
    - Don't hardcode libssl version in Depends, fill it dynamically.
  * Replace -ffile-prefix-map in qmodule.pri.
  * Backport upstream patch to make QProcess not search for executables in
    CWD unless explicitly told so (CVE-2022-25255).
  * Update some Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Feb 2022 00:00:28 +0300

qtbase-opensource-src (5.15.2+dfsg-14) unstable; urgency=medium

  * Backport four upstream commits to fix massive memory consumption when
    rendering specially crafted SVG files (CVE-2021-38593, LP: #1950193).
  * Update symbols files from buildds’ logs.
  * Override some source-is-missing and unpack-message-for-orig warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Nov 2021 17:12:50 +0300

qtbase-opensource-src (5.15.2+dfsg-13) unstable; urgency=medium

  [ Lu YaNing ]
  * Backport upstream patch to fix recursion crash when calling
    setStyleSheet with `qproperty-styleSheet`: fix_recursion_crash.diff.

  [ Dmitry Shachnev ]
  * Backport upstream patch to treat MYSQL_FIELD as read-only, to fix issues
    with MariaDB server 10.6 (closes: #999595).
  * Update symbols files from buildds’ and the current build logs.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Nov 2021 16:34:39 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-5) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-12 upload.
    - Fixes FTBFS with libglvnd 1.3.4 (closes: #997103).
  * Update debian/source/lintian-overrides for Lintian ≥ 2.105.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 23:24:57 +0300

qtbase-opensource-src (5.15.2+dfsg-12) unstable; urgency=medium

  * Add a patch to properly cast types for EGL X11 tests (Closes: #994906).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Sep 2021 10:02:33 -0300

qtbase-opensource-src (5.15.2+dfsg-11) unstable; urgency=medium

  * Apply multi-arch hints.
    + qtbase5-doc, qtbase5-doc-dev, qtbase5-doc-html: Add Multi-Arch: foreign.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport upstream patch
    xcb_add_a_timeout_control_when_reading_INCR_property.diff in order to fix
    timestamp issue on QXcbConnection,
    https://bugreports.qt.io/browse/QTBUG-56595

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Sep 2021 15:07:55 -0300

qtbase-opensource-src (5.15.2+dfsg-10) unstable; urgency=medium

  [ Lu Yaning ]
  * Restore fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
  * Backport upstream patch to fix the regression with placement of
    placeholder text in QLineEdits with action icons.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix icon display on checkable QPushButtons
    with Fusion style (closes: #991255).
  * Backport upstream patch to remove MySQL version checks, which led to
    wrong conclusions with MariaDB Connector ≥ 3.2.
  * Backport upstream patch to fix QTextFormat::FullWidthSelection for
    right-to-left text layouts.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Aug 2021 21:32:57 +0300

qtbase-opensource-src (5.15.2+dfsg-9) unstable; urgency=medium

  * Revert adding fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
    Unfortunately it causes a regression (see QTBUG-94824).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Jul 2021 18:58:04 +0300

qtbase-opensource-src (5.15.2+dfsg-8) unstable; urgency=medium

  [ Lu Yaning ]
  * Backport upstream patch to fix misplacement of placeholder text in
    QLineEdit with RTL content.

  [ Dmitry Shachnev ]
  * Remove the qmimeprovider.cpp part of mime_globs.diff. It is unrelated
    to the original purpose of that patch, and causes various problems
    (closes: #989255, #989744, #990129).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Jun 2021 20:38:59 +0300

qtbase-opensource-src (5.15.2+dfsg-7) unstable; urgency=medium

  [ Lu Yaning ]
  * Backport upstream patch to fix invalid pointer return with
    QGridLayout::itemAt(-1): fix-invalid-pointer-return-with-QGridLayout.diff

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Jun 2021 09:55:29 -0300

qtbase-opensource-src (5.15.2+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to adjust QMimeDatabase behavior (LP: #1857824).
  * Make qtbase5-dev break qt5-default (see #976389, LP: #1920130).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 May 2021 12:04:21 +0300

qtbase-opensource-src (5.15.2+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to fix allocated memory of QByteArray returned by
    QIODevice::readLine (closes: #982882).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Feb 2021 20:00:31 +0300

qtbase-opensource-src (5.15.2+dfsg-4) unstable; urgency=medium

  * Add Conflicts: against the -gles packages, to make that relation mutual.
    (Thanks to David Kalnischkies for the suggestion; see also #976389.)


