=== debian/control ===
--- 
+++ 
@@ -39,9 +39,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.2+dfsg~),
-               libqt5dbus5 (>= 5.15.2+dfsg~),
-               libqt5network5 (>= 5.15.2+dfsg~),
+               libqt5core5a (>= 5.15.3+dfsg~),
+               libqt5dbus5 (>= 5.15.3+dfsg~),
+               libqt5network5 (>= 5.15.3+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -75,7 +75,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -131,7 +131,7 @@
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
-Breaks: qt5-default,
+Breaks: qt5-default (<< 5.15.1+dfsg-2~),
         qt5-qmake (<< 5.11.3+dfsg-3~),
         qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
         qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
