## qtbase-opensource-src-gles 5.15.6+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 12:25:30 +0300

qtbase-opensource-src-gles (5.15.6+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.6+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 21:57:58 +0300

qtbase-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-misplacement-of-placeholder-text-in-QLineEdit.diff
    - fix-placement-of-placeholder-text-in-QLineEdits-with-action-icons.diff
    - mysql_remove_version_checks.diff
    - full_width_selection_rtl.diff
    - xcb_add_a_timeout_control_when_reading_INCR_property.diff
    - CVE-2021-38593.diff
    - moc_handle_include.diff
    - remove_limit_on_number_of_streams.diff
  * Update symbols files from buildds’ and current build logs.
  * Revert removal of QtConcurrent::ThreadEngineBase::startBlocking(),
    which is part of public API and used in the wild.
  * Bump ABI version to qtbase-abi-5-15-6.
  * Update debian/copyright (automatically and manually).
  * Exclude chip.debug compiled binary from the tarball.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 11:44:12 +0300

qtbase-opensource-src-gles (5.15.5+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.5+dfsg-3 upload.
  * Bump qtbase build-dependencies to 5.15.5.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 11 Aug 2022 11:34:15 +0300

qtbase-opensource-src (5.15.5+dfsg-3) experimental; urgency=medium

  * Merge 5.15.4+dfsg-5 upload from unstable.
  * Update Lintian overrides.
  * Update symbols files from buildds' logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Aug 2022 16:08:10 +0300

qtbase-opensource-src (5.15.5+dfsg-2) experimental; urgency=medium

  * Restore CVE-2021-38593.diff, 3 of 4 commits are still applicable.
  * Update symbols files from buildds’ logs.
  * Backport upstream patch to remove limit on the number of HTTP/2 streams.
    Fixes https://bugs.kde.org/show_bug.cgi?id=455540.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jun 2022 23:37:04 +0300

qtbase-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump ABI version to 5.15.5.
  * Remove reverse-applicable upstream patches:
    - gcc_11_limits.diff
    - CVE-2021-38593.diff
  * Refresh existing patches.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 17 Jun 2022 22:08:50 -0500

qtbase-opensource-src (5.15.4+dfsg-5) unstable; urgency=medium

  * Add a patch to update signature of SSL_CTX_set_options for OpenSSL 3
    (LP: #1981807). Thanks Michael Saxl!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Aug 2022 16:56:40 +0300

qtbase-opensource-src (5.15.4+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to remove limit on the number of HTTP/2 streams
    (closes: #1014112).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2022 22:49:23 +0300

qtbase-opensource-src-gles (5.15.4+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.4+dfsg-3 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 22:23:54 +0300

qtbase-opensource-src (5.15.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:00:47 +0300

qtbase-opensource-src (5.15.4+dfsg-2) experimental; urgency=medium

  * Install QtXcbQpa private headers needed for deepin-qt5dxcb-plugin,
    to avoid modifying it for every new Qt version.
  * Use symver directive to catch all private symbols at once.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 May 2022 14:42:53 +0300

qtbase-opensource-src-gles (5.15.4+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.4+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 13:24:47 +0300

qtbase-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-invalid-pointer-return-with-QGridLayout.diff
    - gcc-11-qtconcurrentthreadengine.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-4.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2022 17:14:31 +0300

qtbase-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * Backport upstream patch to fix qtconcurrentthreadengine.h with GCC 11.
    - Closes: #1008391

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix parsing include inside enum (LP: #1968074).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 18:50:52 +0300
