=== debian/control ===
--- 
+++ 
@@ -39,9 +39,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.3+dfsg~),
-               libqt5dbus5 (>= 5.15.3+dfsg~),
-               libqt5network5 (>= 5.15.3+dfsg~),
+               libqt5core5a (>= 5.15.6+dfsg~),
+               libqt5dbus5 (>= 5.15.6+dfsg~),
+               libqt5network5 (>= 5.15.6+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -75,7 +75,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
