## qtbase-opensource-src-gles 5.15.8+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.8+dfsg-3) unstable; urgency=medium

  * Add a patch to fix CVE-2023-32763: buffer overflow in Qt SVG
    (closes: #1036702).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 May 2023 20:52:26 +0300

qtbase-opensource-src-gles (5.15.8+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.8+dfsg-3 upload.
  * Compare only upstream version of qt5-qmake-bin when cross-building
    (closes: #1029082).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Mar 2023 14:39:27 +0300

qtbase-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Use ${DEB_HOST_GNU_TYPE} substitution in debian/qt5-qmake.install.
  * Add upstream patch to fix denial-of-service in Qt SQL ODBC plugin
    (CVE-2023-24607, closes: #1031872).
  * Update debian/libqt5gui5.symbols from s390x build log.
  * Amend image_deletion_order.diff from one more upstream commit.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Feb 2023 11:28:53 +0300

qtbase-opensource-src-gles (5.15.8+dfsg-1) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.8+dfsg-2 upload.
  * Bump qtbase build-dependencies to 5.15.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:23:19 +0400

qtbase-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5gui5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 11:41:54 +0400

qtbase-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase patches for the new release.
  * Bump ABI version to qtbase-abi-5-15-8.
  * Backport upstream patch to set geometry property in QXcbWindow after
    checking minimum size (closes: #1025997).
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2023 22:52:00 +0400

qtbase-opensource-src (5.15.7+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix deletion order in QImageReader/Writer
    destructors.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Jan 2023 15:43:32 +0400

qtbase-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:05 +0300

qtbase-opensource-src-gles (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 19:28:58 +0300

qtbase-opensource-src-gles (5.15.7+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.7+dfsg-1 and 5.15.6+dfsg-5 uploads.
  * Bump qtbase build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:36:13 +0300

qtbase-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release (5.15.7).
    - Refresh existing patches.
    - Update symbols from amd64 build logs.
  * Bump ABI version to qtbase-abi-5-15-7.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 01 Nov 2022 16:07:09 -0500

qtbase-opensource-src (5.15.6+dfsg-5) unstable; urgency=medium

  * Promote qtwayland5 from Suggests to Recommends (closes: #998698).
  * Make libqt5gui5 suggest qgnomeplatform-qt5 (closes: #1024976).
  * Backport upstream patch to fix Alt+` shortcut on non-US layouts.
  * Build-Depends: Drop versioned constraint on dpkg-dev, libharfbuzz-dev and
    pkg-kde-tools (thanks Debian Janitor).
  * Drop Breaks/Replaces unnecessary since buster (thanks Debian Janitor).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Dec 2022 20:38:46 +0300

qtbase-opensource-src (5.15.6+dfsg-4) unstable; urgency=medium

  * Revert upstream commit which caused graphical glitches in some apps.
    Backport upstream patch to fix the original issue in a better way.
    Thanks to Alexander Kernozhitsky and Alexis Murzeau for the pointers!
    (closes: #1022748, #1023580)
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Nov 2022 20:38:09 +0300

qtbase-opensource-src (5.15.6+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix misplaced menus with Wayland on GNOME.
  * Backport upstream patch to use Wayland platform plugin on GNOME Wayland
    sessions by default (closes: #954781).
  * Update debian/libqt5core5a.symbols for ia64 and sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Oct 2022 00:43:06 +0300

qtbase-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:41:52 +0300
