=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               dpkg-dev (>= 1.17.14),
                firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
@@ -27,7 +26,7 @@
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
-               libharfbuzz-dev (>= 1.6.0~),
+               libharfbuzz-dev,
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
@@ -39,9 +38,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.6+dfsg~),
-               libqt5dbus5 (>= 5.15.6+dfsg~),
-               libqt5network5 (>= 5.15.6+dfsg~),
+               libqt5core5a (>= 5.15.8+dfsg~),
+               libqt5dbus5 (>= 5.15.8+dfsg~),
+               libqt5network5 (>= 5.15.8+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -70,12 +69,12 @@
                libxrender-dev,
                libzstd-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.17~),
+               pkg-kde-tools,
                publicsuffix,
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -87,11 +86,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5svg5, qt5-gtk-platformtheme
-Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
-        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~),
-        qt5-default
-Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
-          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
+Breaks: qt5-default
 Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -132,11 +127,9 @@
           libsqlite3-dev,
           unixodbc-dev
 Breaks: qt5-default (<< 5.15.1+dfsg-2~),
-        qt5-qmake (<< 5.11.3+dfsg-3~),
         qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
         qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
-Replaces: qt5-qmake (<< 5.11.3+dfsg-3~),
-          qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
+Replaces: qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
           qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
 Description: Qt 5 base development files — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -162,8 +155,6 @@
          libxkbcommon-dev,
          qtbase5-gles-dev (= ${binary:Version}),
          ${misc:Depends}
-Breaks: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
-Replaces: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
 Description: Qt 5 base private development files — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
